export interface ProcessOptions {
    /** Process files in subdirectories recursively */
    recursive?: boolean;
    /** Copy non-Markdown files to output directory */
    copyAssets?: boolean;
    /** Custom HTML template wrapper function */
    template?: (html: string, filePath: string) => string;
    /** Custom logger implementation */
    logger?: {
        info?: (message: string) => void;
        error?: (error: Error, message: string) => void;
    };
    /** File extensions to treat as Markdown */
    markdownExtensions?: string[];
}
export declare function processMarkdown(inputDir: string, outputDir: string, options?: ProcessOptions): Promise<void>;
