/**
 * Token interface
 */
export interface Token {
    type: "heading" | "paragraph" | "table" | "image" | "link" | "unordered_list" | "ordered_list" | "blockquote" | "code_block" | "horizontal_rule";
    content?: string;
    level?: number;
    src?: string;
    alt?: string;
    href?: string;
    text?: string;
    items?: string[];
    language?: string;
}
/**
 * Converts raw Markdown into tokens
 */
export declare function tokenize(input: string): Token[];
